org.apache.log4j.filter

## Class TimeFilterTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.filter.TimeFilterTest

- All Implemented Interfaces:
    junit.framework.Test

      public class TimeFilterTest
      extends junit.framework.TestCase

  Tests for TimeFilter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeFilterTest(String testName)` Construct new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `test2AMGMT()` Test 2 AM UTC today event against 2 AM - 3 AM GMT filter.
    `void` | `test2AMLocal()` Test 2 AM local today event against 2 AM - 3 AM local time filter.
    `void` | `test2AMLocalLastWeek()` Test 2 AM local last week event against 2 AM - 3 AM local time filter.
    `void` | `test2AMLocalNextWeek()` Test 2 AM local next week event against 2 AM - 3 AM local time filter.
    `void` | `test2AMLocalTomorrow()` Test 2 AM local tomorrow event against 2 AM - 3 AM local time filter.
    `void` | `test2AMLocalYesterday()` Test 2 AM local yesterday event against 2 AM - 3 AM local time filter.
    `void` | `test3AMGMT()` Test 3 AM UTC today event against 2 AM - 3 AM GMT filter.
    `void` | `test3AMLocal()` Test 3 AM local today event against 2 AM - 3 AM local time filter.
    `void` | `test3AMLocalLastWeek()` Test 3 AM local last week event against 2 AM - 3 AM local time filter.
    `void` | `test3AMLocalNextWeek()` Test 3 AM local next week event against 2 AM - 3 AM local time filter.
    `void` | `test3AMLocalTomorrow()` Test 3 AM local tomorrow event against 2 AM - 3 AM local time filter.
    `void` | `test3AMLocalYesterday()` Test 3 AM local yesterday event against 2 AM - 3 AM local time filter.
    `void` | `testConfig1()` Test 2 AM-3AM local time accept on match filter.
    `void` | `testConfig2()` Test 2 AM-3AM UTC reject on match filter.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeFilterTest

          public TimeFilterTest(String testName)

      Construct new instance.
      Parameters:
        `testName` - test name.

  - ### Method Detail

    - #### test2AMLocal

          public void test2AMLocal()

      Test 2 AM local today event against 2 AM - 3 AM local time filter.

    - #### test2AMLocalYesterday

          public void test2AMLocalYesterday()

      Test 2 AM local yesterday event against 2 AM - 3 AM local time filter.

    - #### test2AMLocalTomorrow

          public void test2AMLocalTomorrow()

      Test 2 AM local tomorrow event against 2 AM - 3 AM local time filter.

    - #### test2AMLocalLastWeek

          public void test2AMLocalLastWeek()

      Test 2 AM local last week event against 2 AM - 3 AM local time filter.

    - #### test2AMLocalNextWeek

          public void test2AMLocalNextWeek()

      Test 2 AM local next week event against 2 AM - 3 AM local time filter.

    - #### test3AMLocal

          public void test3AMLocal()

      Test 3 AM local today event against 2 AM - 3 AM local time filter.

    - #### test3AMLocalYesterday

          public void test3AMLocalYesterday()

      Test 3 AM local yesterday event against 2 AM - 3 AM local time filter.

    - #### test3AMLocalTomorrow

          public void test3AMLocalTomorrow()

      Test 3 AM local tomorrow event against 2 AM - 3 AM local time filter.

    - #### test3AMLocalLastWeek

          public void test3AMLocalLastWeek()

      Test 3 AM local last week event against 2 AM - 3 AM local time filter.

    - #### test3AMLocalNextWeek

          public void test3AMLocalNextWeek()

      Test 3 AM local next week event against 2 AM - 3 AM local time filter.

    - #### test2AMGMT

          public void test2AMGMT()

      Test 2 AM UTC today event against 2 AM - 3 AM GMT filter.

    - #### test3AMGMT

          public void test3AMGMT()

      Test 3 AM UTC today event against 2 AM - 3 AM GMT filter.

    - #### testConfig1

          public void testConfig1()
                           throws Exception

      Test 2 AM-3AM local time accept on match filter.
      Throws:
        `Exception` - if IO exception.

    - #### testConfig2

          public void testConfig2()
                           throws Exception

      Test 2 AM-3AM UTC reject on match filter.
      Throws:
        `Exception` - if IO exception.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.